import { UploadWidgetLocale } from "../modules/locales/UploadWidgetLocale";
import { UploadWidgetLayout } from "../config/UploadWidgetLayout";
import { UploadWidgetEditor, UploadWidgetEditorRequired } from "../config/UploadWidgetEditor";
import { UploadWidgetStyles, UploadWidgetStylesRequired } from "../config/UploadWidgetStyles";
import { UploadWidgetMethods } from "../config/UploadWidgetMethods";
import { UploadWidgetOnPreUploadResult } from "../config/UploadWidgetOnPreUploadResult";
import { Resolvable } from "../modules/common/Resolvable";
import { FilePathDefinition, BytescaleApiClientConfig } from "@bytescale/sdk";
import { UploadWidgetOnUpdateEvent } from "../config/UploadWidgetOnUpdateEvent";
import { UploadWidgetLocaleDeprecatedFields } from "../modules/locales/UploadWidgetLocaleDeprecatedFields";
export interface UploadWidgetConfig extends BytescaleApiClientConfig {
    container?: string | HTMLElement;
    editor?: UploadWidgetEditor;
    layout?: UploadWidgetLayout;
    locale?: Partial<UploadWidgetLocale> & Partial<UploadWidgetLocaleDeprecatedFields>;
    maxFileCount?: number;
    maxFileSizeBytes?: number;
    metadata?: object;
    mimeTypes?: string[];
    multi?: boolean;
    onInit?: (methods: UploadWidgetMethods) => void;
    onPreUpload?: ((file: File) => Resolvable<UploadWidgetOnPreUploadResult | undefined>) | undefined;
    onUpdate?: (event: UploadWidgetOnUpdateEvent) => void;
    path?: FilePathDefinition;
    showFinishButton?: boolean;
    showRemoveButton?: boolean;
    styles?: UploadWidgetStyles;
    tags?: string[];
}
export interface UploadWidgetConfigRequired extends BytescaleApiClientConfig {
    container: string | HTMLElement | undefined;
    editor: UploadWidgetEditorRequired;
    layout: UploadWidgetLayout;
    locale: UploadWidgetLocale;
    maxFileCount: number | undefined;
    maxFileSizeBytes: number | undefined;
    metadata: object | undefined;
    mimeTypes: string[] | undefined;
    multi: boolean;
    onInit: (methods: UploadWidgetMethods) => void;
    onPreUpload: (file: File) => Promise<UploadWidgetOnPreUploadResult | undefined>;
    onUpdate: (event: UploadWidgetOnUpdateEvent) => void;
    path: FilePathDefinition | undefined;
    showFinishButton: boolean;
    showRemoveButton: boolean;
    styles: UploadWidgetStylesRequired;
    tags: string[];
}
export declare namespace UploadWidgetConfigRequired {
    function from(options: UploadWidgetConfig): UploadWidgetConfigRequired;
}
