import { UploadedFile } from "../modules/UploadedFile";
export interface UploadWidgetResult {
    /**
     * The `accountId` the file was uploaded to.
     */
    accountId: string;
    editedFile: UploadedFile | undefined;
    /**
     * The `etag` of the `originalFile`
     */
    etag: string;
    /**
     * The `filePath` of `editedFile` (if it exists) else the `filePath` of `originalFile`.
     */
    filePath: string;
    /**
     * The `fileUrl` of `editedFile` (if it exists) else the `fileUrl` of `originalFile`.
     */
    fileUrl: string;
    originalFile: UploadedFile;
}
export declare namespace UploadWidgetResult {
    function from(originalFile: UploadedFile, editedFile: UploadedFile | undefined): UploadWidgetResult;
}
