import { UploadManagerParams, BytescaleApiClientConfig } from "@bytescale/sdk";
import { UploadedFile } from "../modules/UploadedFile";
import { FileLike } from "../modules/FileLike";
/**
 * Allows all file uploads to be cancelled (e.g. when widget closes).
 */
export declare class UploadTracker {
    readonly config: BytescaleApiClientConfig;
    private uploadCancellations;
    private readonly uploadManager;
    constructor(config: BytescaleApiClientConfig);
    cancelAll(): void;
    uploadFile(file: FileLike, request: Omit<UploadManagerParams, "data" | "accountId"> & {
        onBegin?: (params: {
            cancel: () => void;
        }) => void;
    }): Promise<UploadedFile>;
}
